* {
    box-sizing: border-box;
    margin: 0;

    font-family: Arial, Helvetica, sans-serif; 
}

body {
    width: 100vw;
    height: 100vh;

    overflow-y: hidden;
}

#page {
    width: 100%;
    height: 100%;

    display: grid;
    grid-template-rows: 85% 10%;
    
    gap: 5%;

    padding: 5px;
}

header {
    position: absolute;
    background-color: white;

    top: 0;
    left: 0;

    width: 100%;
    height: 50px;

    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    place-items: center;
}

header a {
    float: left;

    margin-right: 70%;
    text-decoration: none;
}

header a button {
    display: flex;
    flex-direction: row;
    align-items: center;

    font-size: 18px;
    padding: 5px 15px;

    border: 2px solid grey;
    border-radius: 10px;

    cursor: pointer;
}

header a button span {
    margin-left: 6px;
}

header p {
    font-size: 24px;
}

main {
    display: flex;
    flex-direction: column-reverse;
    gap: 35px;
    padding: 0 30px;

    overflow-y: auto;
}

.message p {
    border-radius: 20px;
    padding: 10px;

    max-width: 60%;
    word-wrap: break-word;
}

.private p {
    background-color: lightpink !important;
}

.by_you p {
    float: right;

    background-color: aquamarine;
}

.by_others p {
    float: left;

    background-color: lightgrey;
}

.by_others::before {
    content: attr(sentby);
    position: relative;
    left: 15px; 
    top: -20px;
    float: left;

    color: grey;

    width: 0;
    height: 0;
    white-space: nowrap;
    z-index: -1;
}

.by_you::before {
    text-align: right;
    content: 'To ' attr(sentto);
    position: relative;
    left: 0; 
    top: -20px;
    float: right;

    color: grey;

    width: 100%;
    height: 0;
    white-space: nowrap;
    z-index: -1;
}

.by_you::after {
    content: attr(timestamp);
    position: relative;
    left: -45px; 

    float: right;

    font-size: 16px;

    color: grey;

    width: 0;
    height: 0;
    white-space: nowrap;
    z-index: -1;
}

.by_others::after {
    content: attr(timestamp);
    position: relative;
    left: 5px; 
    float: left;

    font-size: 16px;

    color: grey;

    width: 0;
    height: 0;
    white-space: nowrap;
    z-index: -1;
}

footer {
    display: flex;
    flex-direction: row;

    justify-content: center;
    align-items: center;
    gap: 20px;

    width: 100%;
}

#message_area {
    width: min(80%, 800px);
    height: 70px;

    font-size: 25px;

    padding: 5px;

    resize: none;
    overflow-y: hidden;

    border: 2px solid gray;
    border-radius: 10px; 
}

#chars_left {
    position: relative;
    right: 60px;
    margin-right: -40px;

    width: 10px;

    color: grey;
    text-align: right;
}

#send_button {
    width: 70px;
    height: 70px;

    border: 2px solid gray;
    border-radius: 50%;
    cursor: pointer;

    display: grid;
    place-items: center;
}